Hex Artifact Content

Artifact b9cc1abd7b9684ef2ecf054ad933d33af85fbcfe:


0000: 23 21 20 2f 75 73 72 2f 62 69 6e 2f 65 6e 76 20  #! /usr/bin/env 
0010: 62 61 73 68 0a 0a 69 66 20 5b 20 21 20 2d 66 20  bash..if [ ! -f 
0020: 27 62 75 69 6c 64 2e 73 68 27 20 5d 3b 20 74 68  'build.sh' ]; th
0030: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
0040: 20 54 68 69 73 20 73 63 72 69 70 74 20 6d 75 73   This script mus
0050: 74 20 62 65 20 72 75 6e 20 66 72 6f 6d 20 74 68  t be run from th
0060: 65 20 64 69 72 65 63 74 6f 72 79 20 69 74 20 69  e directory it i
0070: 73 20 69 6e 27 20 3e 26 32 0a 0a 09 65 78 69 74  s in' >&2...exit
0080: 20 31 0a 66 69 0a 69 66 20 5b 20 2d 7a 20 22 24   1.fi.if [ -z "$
0090: 7b 54 43 4c 56 45 52 53 7d 22 20 5d 3b 20 74 68  {TCLVERS}" ]; th
00a0: 65 6e 0a 09 65 63 68 6f 20 27 45 52 52 4f 52 3a  en..echo 'ERROR:
00b0: 20 54 68 65 20 54 43 4c 56 45 52 53 20 65 6e 76   The TCLVERS env
00c0: 69 72 6f 6e 6d 65 6e 74 20 76 61 72 69 61 62 6c  ironment variabl
00d0: 65 20 69 73 20 6e 6f 74 20 73 65 74 27 20 3e 26  e is not set' >&
00e0: 32 0a 0a 09 65 78 69 74 20 31 0a 66 69 0a 0a 54  2...exit 1.fi..T
00f0: 43 4c 58 56 45 52 53 3d 22 38 2e 34 2e 31 22 0a  CLXVERS="8.4.1".
0100: 53 52 43 3d 22 73 72 63 2f 74 63 6c 78 24 7b 54  SRC="src/tclx${T
0110: 43 4c 58 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32  CLXVERS}.tar.bz2
0120: 22 0a 53 52 43 55 52 4c 3d 22 68 74 74 70 3a 2f  ".SRCURL="http:/
0130: 2f 73 6f 75 72 63 65 66 6f 72 67 65 2e 6e 65 74  /sourceforge.net
0140: 2f 70 72 6f 6a 65 63 74 73 2f 74 63 6c 78 2f 66  /projects/tclx/f
0150: 69 6c 65 73 2f 54 63 6c 58 2f 24 7b 54 43 4c 58  iles/TclX/${TCLX
0160: 56 45 52 53 7d 2f 74 63 6c 78 24 7b 54 43 4c 58  VERS}/tclx${TCLX
0170: 56 45 52 53 7d 2e 74 61 72 2e 62 7a 32 2f 64 6f  VERS}.tar.bz2/do
0180: 77 6e 6c 6f 61 64 22 0a 42 55 49 4c 44 44 49 52  wnload".BUILDDIR
0190: 3d 22 24 28 70 77 64 29 2f 62 75 69 6c 64 2f 74  ="$(pwd)/build/t
01a0: 63 6c 78 38 2e 34 22 0a 4f 55 54 44 49 52 3d 22  clx8.4".OUTDIR="
01b0: 24 28 70 77 64 29 2f 6f 75 74 22 0a 49 4e 53 54  $(pwd)/out".INST
01c0: 44 49 52 3d 22 24 28 70 77 64 29 2f 69 6e 73 74  DIR="$(pwd)/inst
01d0: 22 0a 50 41 54 43 48 44 49 52 3d 22 24 28 70 77  ".PATCHDIR="$(pw
01e0: 64 29 2f 70 61 74 63 68 65 73 22 0a 65 78 70 6f  d)/patches".expo
01f0: 72 74 20 54 43 4c 58 56 45 52 53 20 53 52 43 20  rt TCLXVERS SRC 
0200: 53 52 43 55 52 4c 20 42 55 49 4c 44 44 49 52 20  SRCURL BUILDDIR 
0210: 4f 55 54 44 49 52 20 49 4e 53 54 44 49 52 20 50  OUTDIR INSTDIR P
0220: 41 54 43 48 44 49 52 0a 0a 23 20 53 65 74 20 63  ATCHDIR..# Set c
0230: 6f 6e 66 69 67 75 72 65 20 6f 70 74 69 6f 6e 73  onfigure options
0240: 20 66 6f 72 20 74 68 69 73 20 73 75 62 2d 70 72   for this sub-pr
0250: 6f 6a 65 63 74 0a 4c 44 46 4c 41 47 53 3d 22 24  oject.LDFLAGS="$
0260: 7b 4b 43 5f 54 43 4c 58 5f 4c 44 46 4c 41 47 53  {KC_TCLX_LDFLAGS
0270: 7d 22 0a 43 46 4c 41 47 53 3d 22 24 7b 4b 43 5f  }".CFLAGS="${KC_
0280: 54 43 4c 58 5f 43 46 4c 41 47 53 7d 22 0a 43 50  TCLX_CFLAGS}".CP
0290: 50 46 4c 41 47 53 3d 22 24 7b 4b 43 5f 54 43 4c  PFLAGS="${KC_TCL
02a0: 58 5f 43 50 50 46 4c 41 47 53 7d 22 0a 4c 49 42  X_CPPFLAGS}".LIB
02b0: 53 3d 22 24 7b 4b 43 5f 54 43 4c 58 5f 4c 49 42  S="${KC_TCLX_LIB
02c0: 53 7d 22 0a 65 78 70 6f 72 74 20 4c 44 46 4c 41  S}".export LDFLA
02d0: 47 53 20 43 46 4c 41 47 53 20 43 50 50 46 4c 41  GS CFLAGS CPPFLA
02e0: 47 53 20 4c 49 42 53 0a 0a 72 6d 20 2d 72 66 20  GS LIBS..rm -rf 
02f0: 27 62 75 69 6c 64 27 20 27 6f 75 74 27 20 27 69  'build' 'out' 'i
0300: 6e 73 74 27 0a 6d 6b 64 69 72 20 27 62 75 69 6c  nst'.mkdir 'buil
0310: 64 27 20 27 6f 75 74 27 20 27 69 6e 73 74 27 20  d' 'out' 'inst' 
0320: 7c 7c 20 65 78 69 74 20 31 0a 0a 54 43 4c 5f 56  || exit 1..TCL_V
0330: 45 52 53 49 4f 4e 3d 22 75 6e 6b 6e 6f 77 6e 22  ERSION="unknown"
0340: 0a 69 66 20 5b 20 2d 66 20 22 24 7b 54 43 4c 43  .if [ -f "${TCLC
0350: 4f 4e 46 49 47 44 49 52 7d 2f 74 63 6c 43 6f 6e  ONFIGDIR}/tclCon
0360: 66 69 67 2e 73 68 22 20 5d 3b 20 74 68 65 6e 0a  fig.sh" ]; then.
0370: 20 20 20 20 20 20 20 20 73 6f 75 72 63 65 20 22          source "
0380: 24 7b 54 43 4c 43 4f 4e 46 49 47 44 49 52 7d 2f  ${TCLCONFIGDIR}/
0390: 74 63 6c 43 6f 6e 66 69 67 2e 73 68 22 0a 66 69  tclConfig.sh".fi
03a0: 0a 65 78 70 6f 72 74 20 54 43 4c 5f 56 45 52 53  .export TCL_VERS
03b0: 49 4f 4e 0a 0a 69 66 20 5b 20 21 20 2d 66 20 22  ION..if [ ! -f "
03c0: 24 7b 53 52 43 7d 22 20 5d 3b 20 74 68 65 6e 0a  ${SRC}" ]; then.
03d0: 09 6d 6b 64 69 72 20 27 73 72 63 27 20 3e 2f 64  .mkdir 'src' >/d
03e0: 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76 2f 6e  ev/null 2>/dev/n
03f0: 75 6c 6c 0a 0a 09 69 66 20 5b 20 21 20 2d 64 20  ull...if [ ! -d 
0400: 27 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68  'buildsrc' ]; th
0410: 65 6e 0a 09 09 72 6d 20 2d 66 20 22 24 7b 53 52  en...rm -f "${SR
0420: 43 7d 2e 74 6d 70 22 0a 09 09 77 67 65 74 20 2d  C}.tmp"...wget -
0430: 4f 20 22 24 7b 53 52 43 7d 2e 74 6d 70 22 20 22  O "${SRC}.tmp" "
0440: 24 7b 53 52 43 55 52 4c 7d 22 20 7c 7c 20 65 78  ${SRCURL}" || ex
0450: 69 74 20 31 0a 09 09 6d 76 20 22 24 7b 53 52 43  it 1...mv "${SRC
0460: 7d 2e 74 6d 70 22 20 22 24 7b 53 52 43 7d 22 0a  }.tmp" "${SRC}".
0470: 09 66 69 0a 66 69 0a 0a 28 0a 09 63 64 20 27 62  .fi.fi..(..cd 'b
0480: 75 69 6c 64 27 20 7c 7c 20 65 78 69 74 20 31 0a  uild' || exit 1.
0490: 0a 09 69 66 20 5b 20 21 20 2d 64 20 27 2e 2e 2f  ..if [ ! -d '../
04a0: 62 75 69 6c 64 73 72 63 27 20 5d 3b 20 74 68 65  buildsrc' ]; the
04b0: 6e 0a 09 09 62 7a 69 70 32 20 2d 64 63 20 22 2e  n...bzip2 -dc ".
04c0: 2e 2f 24 7b 53 52 43 7d 22 20 7c 20 74 61 72 20  ./${SRC}" | tar 
04d0: 2d 78 66 20 2d 0a 09 65 6c 73 65 20 20 20 20 0a  -xf -..else    .
04e0: 09 09 63 70 20 2d 72 70 20 2e 2e 2f 62 75 69 6c  ..cp -rp ../buil
04f0: 64 73 72 63 2f 2a 20 27 2e 2f 27 0a 09 66 69 0a  dsrc/* './'..fi.
0500: 0a 09 23 20 41 70 70 6c 79 20 72 65 71 75 69 72  ..# Apply requir
0510: 65 64 20 70 61 74 63 68 65 73 0a 09 63 64 20 22  ed patches..cd "
0520: 24 7b 42 55 49 4c 44 44 49 52 7d 22 20 7c 7c 20  ${BUILDDIR}" || 
0530: 65 78 69 74 20 31 0a 09 66 6f 72 20 70 61 74 63  exit 1..for patc
0540: 68 20 69 6e 20 22 24 7b 50 41 54 43 48 44 49 52  h in "${PATCHDIR
0550: 7d 2f 61 6c 6c 22 2f 74 63 6c 78 2d 24 7b 54 43  }/all"/tclx-${TC
0560: 4c 58 56 45 52 53 7d 2d 2a 2e 64 69 66 66 20 22  LXVERS}-*.diff "
0570: 24 7b 50 41 54 43 48 44 49 52 7d 2f 24 7b 54 43  ${PATCHDIR}/${TC
0580: 4c 5f 56 45 52 53 49 4f 4e 7d 22 2f 74 63 6c 78  L_VERSION}"/tclx
0590: 2d 24 7b 54 43 4c 58 56 45 52 53 7d 2d 2a 2e 64  -${TCLXVERS}-*.d
05a0: 69 66 66 3b 20 64 6f 0a 09 09 69 66 20 5b 20 21  iff; do...if [ !
05b0: 20 2d 66 20 22 24 7b 70 61 74 63 68 7d 22 20 5d   -f "${patch}" ]
05c0: 3b 20 74 68 65 6e 0a 09 09 09 63 6f 6e 74 69 6e  ; then....contin
05d0: 75 65 0a 09 09 66 69 0a 0a 09 09 65 63 68 6f 20  ue...fi....echo 
05e0: 22 41 70 70 6c 79 69 6e 67 3a 20 24 7b 70 61 74  "Applying: ${pat
05f0: 63 68 7d 22 0a 09 09 24 7b 50 41 54 43 48 3a 2d  ch}"...${PATCH:-
0600: 70 61 74 63 68 7d 20 2d 70 31 20 3c 20 22 24 7b  patch} -p1 < "${
0610: 70 61 74 63 68 7d 22 0a 09 64 6f 6e 65 0a 0a 09  patch}"..done...
0620: 63 64 20 22 24 7b 42 55 49 4c 44 44 49 52 7d 22  cd "${BUILDDIR}"
0630: 20 7c 7c 20 65 78 69 74 20 31 0a 0a 09 23 20 54   || exit 1...# T
0640: 72 79 20 74 6f 20 62 75 69 6c 64 20 61 73 20 61  ry to build as a
0650: 20 73 68 61 72 65 64 20 6f 62 6a 65 63 74 20 69   shared object i
0660: 66 20 72 65 71 75 65 73 74 65 64 0a 09 69 66 20  f requested..if 
0670: 5b 20 22 24 7b 53 54 41 54 49 43 54 43 4c 58 7d  [ "${STATICTCLX}
0680: 22 20 3d 20 22 30 22 20 5d 3b 20 74 68 65 6e 0a  " = "0" ]; then.
0690: 09 09 74 72 79 6f 70 74 73 3d 22 2d 2d 65 6e 61  ..tryopts="--ena
06a0: 62 6c 65 2d 73 68 61 72 65 64 20 2d 2d 64 69 73  ble-shared --dis
06b0: 61 62 6c 65 2d 73 68 61 72 65 64 22 0a 09 65 6c  able-shared"..el
06c0: 69 66 20 5b 20 22 24 7b 53 54 41 54 49 43 54 43  if [ "${STATICTC
06d0: 4c 58 7d 22 20 3d 20 22 2d 31 22 20 5d 3b 20 74  LX}" = "-1" ]; t
06e0: 68 65 6e 0a 09 09 74 72 79 6f 70 74 73 3d 22 2d  hen...tryopts="-
06f0: 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64 22 0a  -enable-shared".
0700: 09 65 6c 73 65 0a 09 09 74 72 79 6f 70 74 73 3d  .else...tryopts=
0710: 22 2d 2d 64 69 73 61 62 6c 65 2d 73 68 61 72 65  "--disable-share
0720: 64 22 0a 09 66 69 0a 0a 09 53 41 56 45 5f 43 46  d"..fi...SAVE_CF
0730: 4c 41 47 53 3d 22 24 7b 43 46 4c 41 47 53 7d 22  LAGS="${CFLAGS}"
0740: 0a 09 66 6f 72 20 74 72 79 6f 70 74 20 69 6e 20  ..for tryopt in 
0750: 24 74 72 79 6f 70 74 73 20 5f 5f 66 61 69 6c 5f  $tryopts __fail_
0760: 5f 3b 20 64 6f 0a 09 09 23 20 43 6c 65 61 6e 20  _; do...# Clean 
0770: 75 70 2c 20 69 66 20 6e 65 65 64 65 64 0a 09 09  up, if needed...
0780: 6d 61 6b 65 20 64 69 73 74 63 6c 65 61 6e 20 3e  make distclean >
0790: 2f 64 65 76 2f 6e 75 6c 6c 20 32 3e 2f 64 65 76  /dev/null 2>/dev
07a0: 2f 6e 75 6c 6c 0a 09 09 72 6d 20 2d 72 66 20 22  /null...rm -rf "
07b0: 24 7b 49 4e 53 54 44 49 52 7d 22 0a 09 09 6d 6b  ${INSTDIR}"...mk
07c0: 64 69 72 20 22 24 7b 49 4e 53 54 44 49 52 7d 22  dir "${INSTDIR}"
07d0: 0a 0a 09 09 69 66 20 5b 20 22 24 7b 74 72 79 6f  ....if [ "${tryo
07e0: 70 74 7d 22 20 3d 20 22 5f 5f 66 61 69 6c 5f 5f  pt}" = "__fail__
07f0: 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 65 78 69  " ]; then....exi
0800: 74 20 31 0a 09 09 66 69 0a 0a 09 09 69 66 20 5b  t 1...fi....if [
0810: 20 22 24 7b 74 72 79 6f 70 74 7d 22 20 3d 3d 20   "${tryopt}" == 
0820: 22 2d 2d 65 6e 61 62 6c 65 2d 73 68 61 72 65 64  "--enable-shared
0830: 22 20 5d 3b 20 74 68 65 6e 0a 09 09 09 69 73 73  " ]; then....iss
0840: 68 61 72 65 64 3d 22 31 22 0a 09 09 65 6c 73 65  hared="1"...else
0850: 0a 09 09 09 69 73 73 68 61 72 65 64 3d 22 30 22  ....isshared="0"
0860: 0a 09 09 66 69 0a 0a 09 09 23 20 49 66 20 62 75  ...fi....# If bu
0870: 69 6c 64 20 61 20 73 74 61 74 69 63 20 54 63 6c  ild a static Tcl
0880: 58 20 66 6f 72 20 4b 69 74 44 4c 4c 2c 20 65 6e  X for KitDLL, en
0890: 73 75 72 65 20 74 68 61 74 20 77 65 20 75 73 65  sure that we use
08a0: 20 50 49 43 0a 09 09 23 20 73 6f 20 74 68 61 74   PIC...# so that
08b0: 20 69 74 20 63 61 6e 20 62 65 20 6c 69 6e 6b 65   it can be linke
08c0: 64 20 69 6e 74 6f 20 74 68 65 20 73 68 61 72 65  d into the share
08d0: 64 20 6f 62 6a 65 63 74 0a 09 09 69 66 20 5b 20  d object...if [ 
08e0: 22 24 7b 69 73 73 68 61 72 65 64 7d 22 20 3d 20  "${isshared}" = 
08f0: 22 30 22 20 2d 61 20 22 24 7b 4b 49 54 54 41 52  "0" -a "${KITTAR
0900: 47 45 54 7d 22 20 3d 20 22 6b 69 74 64 6c 6c 22  GET}" = "kitdll"
0910: 20 5d 3b 20 74 68 65 6e 0a 09 09 09 43 46 4c 41   ]; then....CFLA
0920: 47 53 3d 22 24 7b 53 41 56 45 5f 43 46 4c 41 47  GS="${SAVE_CFLAG
0930: 53 7d 20 2d 66 50 49 43 22 0a 09 09 65 6c 73 65  S} -fPIC"...else
0940: 0a 09 09 09 43 46 4c 41 47 53 3d 22 24 7b 53 41  ....CFLAGS="${SA
0950: 56 45 5f 43 46 4c 41 47 53 7d 22 0a 09 09 66 69  VE_CFLAGS}"...fi
0960: 0a 09 09 65 78 70 6f 72 74 20 43 46 4c 41 47 53  ...export CFLAGS
0970: 0a 0a 09 09 69 66 20 5b 20 22 24 7b 69 73 73 68  ....if [ "${issh
0980: 61 72 65 64 7d 22 20 3d 20 27 30 27 20 5d 3b 20  ared}" = '0' ]; 
0990: 74 68 65 6e 0a 09 09 09 73 65 64 20 27 73 40 55  then....sed 's@U
09a0: 53 45 5f 54 43 4c 5f 53 54 55 42 53 40 58 58 58  SE_TCL_STUBS@XXX
09b0: 5f 54 43 4c 5f 53 54 55 42 53 40 67 27 20 63 6f  _TCL_STUBS@g' co
09c0: 6e 66 69 67 75 72 65 20 3e 20 63 6f 6e 66 69 67  nfigure > config
09d0: 75 72 65 2e 6e 65 77 0a 09 09 65 6c 73 65 0a 09  ure.new...else..
09e0: 09 09 73 65 64 20 27 73 40 58 58 58 5f 54 43 4c  ..sed 's@XXX_TCL
09f0: 5f 53 54 55 42 53 40 55 53 45 5f 54 43 4c 5f 53  _STUBS@USE_TCL_S
0a00: 54 55 42 53 40 67 27 20 63 6f 6e 66 69 67 75 72  TUBS@g' configur
0a10: 65 20 3e 20 63 6f 6e 66 69 67 75 72 65 2e 6e 65  e > configure.ne
0a20: 77 0a 09 09 66 69 0a 09 09 63 61 74 20 63 6f 6e  w...fi...cat con
0a30: 66 69 67 75 72 65 2e 6e 65 77 20 3e 20 63 6f 6e  figure.new > con
0a40: 66 69 67 75 72 65 0a 09 09 72 6d 20 2d 66 20 63  figure...rm -f c
0a50: 6f 6e 66 69 67 75 72 65 2e 6e 65 77 0a 0a 09 09  onfigure.new....
0a60: 28 0a 09 09 09 65 63 68 6f 20 22 52 75 6e 6e 69  (....echo "Runni
0a70: 6e 67 3a 20 2e 2f 63 6f 6e 66 69 67 75 72 65 20  ng: ./configure 
0a80: 24 74 72 79 6f 70 74 20 2d 2d 70 72 65 66 69 78  $tryopt --prefix
0a90: 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20  =\"${INSTDIR}\" 
0aa0: 2d 2d 65 78 65 63 2d 70 72 65 66 69 78 3d 5c 22  --exec-prefix=\"
0ab0: 24 7b 49 4e 53 54 44 49 52 7d 5c 22 20 2d 2d 6c  ${INSTDIR}\" --l
0ac0: 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49  ibdir=\"${INSTDI
0ad0: 52 7d 2f 6c 69 62 5c 22 20 2d 2d 77 69 74 68 2d  R}/lib\" --with-
0ae0: 74 63 6c 3d 5c 22 24 7b 54 43 4c 43 4f 4e 46 49  tcl=\"${TCLCONFI
0af0: 47 44 49 52 7d 5c 22 20 24 7b 43 4f 4e 46 49 47  GDIR}\" ${CONFIG
0b00: 55 52 45 45 58 54 52 41 7d 22 0a 09 09 09 2e 2f  UREEXTRA}"...../
0b10: 63 6f 6e 66 69 67 75 72 65 20 24 74 72 79 6f 70  configure $tryop
0b20: 74 20 2d 2d 70 72 65 66 69 78 3d 22 24 7b 49 4e  t --prefix="${IN
0b30: 53 54 44 49 52 7d 22 20 2d 2d 65 78 65 63 2d 70  STDIR}" --exec-p
0b40: 72 65 66 69 78 3d 22 24 7b 49 4e 53 54 44 49 52  refix="${INSTDIR
0b50: 7d 22 20 2d 2d 6c 69 62 64 69 72 3d 22 24 7b 49  }" --libdir="${I
0b60: 4e 53 54 44 49 52 7d 2f 6c 69 62 22 20 2d 2d 77  NSTDIR}/lib" --w
0b70: 69 74 68 2d 74 63 6c 3d 22 24 7b 54 43 4c 43 4f  ith-tcl="${TCLCO
0b80: 4e 46 49 47 44 49 52 7d 22 20 24 7b 43 4f 4e 46  NFIGDIR}" ${CONF
0b90: 49 47 55 52 45 45 58 54 52 41 7d 0a 0a 09 09 09  IGUREEXTRA}.....
0ba0: 65 63 68 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24  echo "Running: $
0bb0: 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c  {MAKE:-make} tcl
0bc0: 6c 69 62 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44  libdir=\"${INSTD
0bd0: 49 52 7d 2f 6c 69 62 5c 22 20 41 52 3d 5c 22 24  IR}/lib\" AR=\"$
0be0: 7b 41 52 3a 2d 61 72 7d 5c 22 20 52 41 4e 4c 49  {AR:-ar}\" RANLI
0bf0: 42 3d 5c 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61  B=\"${RANLIB:-ra
0c00: 6e 6c 69 62 7d 5c 22 22 0a 09 09 09 24 7b 4d 41  nlib}\""....${MA
0c10: 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62  KE:-make} tcllib
0c20: 64 69 72 3d 22 24 7b 49 4e 53 54 44 49 52 7d 2f  dir="${INSTDIR}/
0c30: 6c 69 62 22 20 41 52 3d 22 24 7b 41 52 3a 2d 61  lib" AR="${AR:-a
0c40: 72 7d 22 20 52 41 4e 4c 49 42 3d 22 24 7b 52 41  r}" RANLIB="${RA
0c50: 4e 4c 49 42 3a 2d 72 61 6e 6c 69 62 7d 22 20 7c  NLIB:-ranlib}" |
0c60: 7c 20 65 78 69 74 20 31 0a 0a 09 09 09 65 63 68  | exit 1.....ech
0c70: 6f 20 22 52 75 6e 6e 69 6e 67 3a 20 24 7b 4d 41  o "Running: ${MA
0c80: 4b 45 3a 2d 6d 61 6b 65 7d 20 74 63 6c 6c 69 62  KE:-make} tcllib
0c90: 64 69 72 3d 5c 22 24 7b 49 4e 53 54 44 49 52 7d  dir=\"${INSTDIR}
0ca0: 2f 6c 69 62 5c 22 20 41 52 3d 5c 22 24 7b 41 52  /lib\" AR=\"${AR
0cb0: 3a 2d 61 72 7d 5c 22 20 52 41 4e 4c 49 42 3d 5c  :-ar}\" RANLIB=\
0cc0: 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69  "${RANLIB:-ranli
0cd0: 62 7d 5c 22 20 69 6e 73 74 61 6c 6c 22 0a 09 09  b}\" install"...
0ce0: 09 24 7b 4d 41 4b 45 3a 2d 6d 61 6b 65 7d 20 74  .${MAKE:-make} t
0cf0: 63 6c 6c 69 62 64 69 72 3d 22 24 7b 49 4e 53 54  cllibdir="${INST
0d00: 44 49 52 7d 2f 6c 69 62 22 20 41 52 3d 22 24 7b  DIR}/lib" AR="${
0d10: 41 52 3a 2d 61 72 7d 22 20 52 41 4e 4c 49 42 3d  AR:-ar}" RANLIB=
0d20: 22 24 7b 52 41 4e 4c 49 42 3a 2d 72 61 6e 6c 69  "${RANLIB:-ranli
0d30: 62 7d 22 20 69 6e 73 74 61 6c 6c 20 7c 7c 20 65  b}" install || e
0d40: 78 69 74 20 31 0a 09 09 29 20 7c 7c 20 63 6f 6e  xit 1...) || con
0d50: 74 69 6e 75 65 0a 0a 09 09 62 72 65 61 6b 0a 09  tinue....break..
0d60: 64 6f 6e 65 0a 0a 09 69 66 20 5b 20 21 20 2d 65  done...if [ ! -e
0d70: 20 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62   "${INSTDIR}/lib
0d80: 2f 74 63 6c 78 38 2e 34 2f 70 6b 67 49 6e 64 65  /tclx8.4/pkgInde
0d90: 78 2e 74 63 6c 22 20 5d 3b 20 74 68 65 6e 0a 09  x.tcl" ]; then..
0da0: 09 63 61 74 20 3c 3c 20 5f 45 4f 46 5f 20 3e 20  .cat << _EOF_ > 
0db0: 22 24 7b 49 4e 53 54 44 49 52 7d 2f 6c 69 62 2f  "${INSTDIR}/lib/
0dc0: 74 63 6c 78 38 2e 34 2f 70 6b 67 49 6e 64 65 78  tclx8.4/pkgIndex
0dd0: 2e 74 63 6c 22 0a 70 61 63 6b 61 67 65 20 69 66  .tcl".package if
0de0: 6e 65 65 64 65 64 20 54 63 6c 78 20 38 2e 34 20  needed Tclx 8.4 
0df0: 5b 6c 69 73 74 20 6c 6f 61 64 20 7b 7d 20 54 63  [list load {} Tc
0e00: 6c 78 5d 0a 5f 45 4f 46 5f 0a 20 20 20 20 20 20  lx]._EOF_.      
0e10: 20 20 66 69 0a 0a 09 23 20 49 6e 73 74 61 6c 6c    fi...# Install
0e20: 20 66 69 6c 65 73 20 6e 65 65 64 65 64 20 62 79   files needed by
0e30: 20 69 6e 73 74 61 6c 6c 61 74 69 6f 6e 0a 09 63   installation..c
0e40: 70 20 2d 72 20 22 24 7b 49 4e 53 54 44 49 52 7d  p -r "${INSTDIR}
0e50: 2f 6c 69 62 22 20 22 24 7b 4f 55 54 44 49 52 7d  /lib" "${OUTDIR}
0e60: 22 20 7c 7c 20 65 78 69 74 20 31 0a 09 66 69 6e  " || exit 1..fin
0e70: 64 20 22 24 7b 4f 55 54 44 49 52 7d 22 20 2d 6e  d "${OUTDIR}" -n
0e80: 61 6d 65 20 27 2a 2e 61 27 20 2d 74 79 70 65 20  ame '*.a' -type 
0e90: 66 20 7c 20 78 61 72 67 73 20 2d 6e 20 31 20 72  f | xargs -n 1 r
0ea0: 6d 20 2d 66 20 2d 2d 0a 0a 09 65 78 69 74 20 30  m -f --...exit 0
0eb0: 0a 29 20 7c 7c 20 65 78 69 74 20 31 0a 0a 65 78  .) || exit 1..ex
0ec0: 69 74 20 30 0a                                   it 0.